org.richfaces.ui.drag.dragSource

## Class DragSourceRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.ui.drag.DnDRenderBase
      - - org.richfaces.ui.drag.dragSource.DragSourceRenderer

-     public class DragSourceRenderer
      extends DnDRenderBase

  Author:
    abelevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragSourceRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DnDScript` | `createScript(String name)`
    `String` | `getDragIndicatorClientId(javax.faces.context.FacesContext facesContext, AbstractDragSource dragSource)`
    `Map<String,Object>` | `getOptions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getScriptName()`

    - ### Methods inherited from class org.richfaces.ui.drag.DnDRenderBase

      `buildAndStoreScript, doEncodeEnd, getParentClientId`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DragSourceRenderer

          public DragSourceRenderer()

  - ### Method Detail

    - #### getOptions

          public Map<String,Object> getOptions(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)

      Specified by:
        `getOptions` in class `DnDRenderBase`

    - #### getScriptName

          public String getScriptName()

      Specified by:
        `getScriptName` in class `DnDRenderBase`

    - #### createScript

          public DnDScript createScript(String name)

      Specified by:
        `createScript` in class `DnDRenderBase`

    - #### getDragIndicatorClientId

          public String getDragIndicatorClientId(javax.faces.context.FacesContext facesContext,
                                        AbstractDragSource dragSource)

Copyright © 2014 JBoss by Red Hat. All rights reserved.